Correlate 2.4.0

Correlate requests between microservices using a correlation id.

Install-Package Correlate -Version 2.4.0
dotnet add package Correlate --version 2.4.0
<PackageReference Include="Correlate" Version="2.4.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Correlate --version 2.4.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

.NET Core support for correlation ID in ASP.NET Core and HttpClient.

v2.4

  • Fixes starting nested context overwriting parent. Only create new context if correlation id differs. Keep track of nested contexts using stack, and restore the parent context when the nested (child) context completes.
  • Added .NET Standard 1.3 and .NET 4.6 support
  • Added ctors to CorrelationManager that accept ICorrelationContextAccessor. Old ctors are obsolete.

.NET Core support for correlation ID in ASP.NET Core and HttpClient.

v2.4

  • Fixes starting nested context overwriting parent. Only create new context if correlation id differs. Keep track of nested contexts using stack, and restore the parent context when the nested (child) context completes.
  • Added .NET Standard 1.3 and .NET 4.6 support
  • Added ctors to CorrelationManager that accept ICorrelationContextAccessor. Old ctors are obsolete.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
2.4.0 146 7/2/2019
2.3.0 1,365 5/11/2019
2.2.0 109 4/7/2019
2.1.4 1,849 3/15/2019
2.1.3 74 3/15/2019
2.1.1 756 3/15/2019
2.1.0 760 3/15/2019